<?php
/**
 * Settings Controller for S5ClanRoster Component
 * 
 * @package    
 * @subpackage Components
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

/**
 * Settings Controller
 */
class S5ClanRosterControllerS5Settings extends JController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();
		// Register Extra tasks
		$this->registerTask( 'apply','save' );
	}

	/**
	 * display 
	 * @return void
	 */
	function display(){
		JRequest::setVar( 'view', 's5settings' );
		JRequest::setVar( 'layout', 'default'  );
		//JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}
	
	/**
	 * save settings
	 * @return void
	 */	
	function save(){
	
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
			
		$model =& $this->getModel('s5settings');
		$msg = $model->save();
 
		$this->setRedirect('index.php?option=com_s5clanroster&controller=s5settings&view=s5settings',$msg);
	}	
}
?>