<?php 
/**
 * Categories tmpl for S5ClanRoster Component
 * 
 * @package    
 * @subpackage Components
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die(); 

JHTML::_('behavior.tooltip'); 
$editor = &JFactory::getEditor();
?>
<script language="javascript" type="text/javascript">
<!--
function submitbutton(pressbutton) {
	var form = document.adminForm;
	if (pressbutton == 'cancel') {
		submitform( pressbutton );
		return;
	}
	<?php
	echo $editor->save( 'description' );
	//echo $editor->save( 'message' );
	?>	
	// do field validation
	if ( form.name.value == "" ) {
		alert( "<?php echo JText::_( 'ALERT CATEGORY NAME' ) ?>" );
	} else {
		submitform( pressbutton );
	}
}
//-->
</script>            
<form action="index.php" method="post" name="adminForm">
    <fieldset class="adminform">
    <legend><?php echo isset($this->item->id) ? JText::_( 'EDIT CATEGORY' ) : JText::_( 'NEW CATEGORY' );  ?></legend>    
    <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
    <tr class="row1">
        <td class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP CATEGORY NAME' ) ?>"><strong><?php echo JText::_( 'CATEGORY NAME' ) ?></strong></span></td>
        <td>
            <input type="text" size="150" value="<?php echo isset($this->item->name) ? $this->item->name : ""; ?>" name="name" id="name" maxlength="500" />
        </td>
    </tr>
    <tr class="row0">
        <td class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP CATEGORY PARENT' ) ?>"><strong><?php echo JText::_( 'CATEGORY PARENT' ) ?></strong></span></td>
        <td>
			<?php echo isset($this->item) ? S5ClanRosterHelpers::Parent( $this->item ) : S5ClanRosterHelpers::Parent( $this->item ); ?>
        </td>
    </tr>    
    <tr class="row0">
        <td class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP CATEGORY DESC' ) ?>"><strong><?php echo JText::_( 'CATEGORY DESC' ) ?></strong></span></td>
        <td>
			<?php
            // parameters : areaname, content, width, height, cols, rows
            echo $editor->display( 'description',  isset($this->item->description) ? stripslashes($this->item->description) : ""  , '620', '350', '75', '20' ) ;
            ?>
        </td>
    </tr>
        <tr class="row1">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP CATEGORY DESC LENGTH' ); ?>"><strong><?php echo JText::_( 'CATEGORY DESC LENGTH' ); ?></strong></span></td>
            <td><input type="text" size="15" value="<?php echo isset($this->category_user_param['desc_length']) ? $this->category_user_param['desc_length'] : "100"; ?>" name="desc_length" id="desc_length" /></td>
        </tr>    
    <tr class="row0">
        <td class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_('PUBLISHED') ?>"><strong><?php echo JText::_('PUBLISHED') ?></strong></span></td>
        <td>
        	<?php
			$putG = array(
			JHTML::_( 'select.option',  JText::_("1"), JText::_("Yes")),
			JHTML::_( 'select.option',  JText::_("0"), JText::_("No"))
			); 			
			echo  JHTML::_('select.radiolist', $putG, 'published', array('class'=>'inputbox', 'size'=>'1'),'value','text', isset($this->item->published) ? $this->item->published : "1");			
			?>
        </td>
    </tr>
    </table>
    </fieldset>
    <fieldset class="adminform">
    <legend><?php echo isset($this->item->id) ? JText::_( 'CATEGORY SETTINGS' ) : JText::_( 'CATEGORY SETTINGS' );  ?></legend>        
    <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
        <tr class="row0">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_('TIP SHOW_USERNAME') ?>"><strong><?php echo JText::_('SHOW_USERNAME') ?></strong></span></td>
            <td>
                <?php
                $putG = array(
                JHTML::_( 'select.option',  JText::_("1"), JText::_("Yes")),
                JHTML::_( 'select.option',  JText::_("0"), JText::_("No"))
                ); 			
                echo  JHTML::_('select.radiolist', $putG, 'username', array('class'=>'inputbox', 'size'=>'1'),'value','text', isset($this->category_user_param['username']) ? $this->category_user_param['username'] : "1");			
                ?>
            </td>
        </tr>
        <tr class="row1">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_('TIP SHOW_USER_REAL_NAME') ?>"><strong><?php echo JText::_('SHOW_USER_REAL_NAME') ?></strong></span></td>
            <td>
                <?php
                $putG = array(
                JHTML::_( 'select.option',  JText::_("1"), JText::_("Yes")),
                JHTML::_( 'select.option',  JText::_("0"), JText::_("No"))
                ); 			
                echo  JHTML::_('select.radiolist', $putG, 'user_real_name', array('class'=>'inputbox', 'size'=>'1'),'value','text', isset($this->category_user_param['user_real_name']) ? $this->category_user_param['user_real_name'] : "1");
                ?>
            </td>
        </tr>    
        <tr class="row0">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_('TIP SHOW_USER_EMAIL') ?>"><strong><?php echo JText::_('SHOW_USER_EMAIL') ?></strong></span></td>
            <td>
                <?php
                $putG = array(
                JHTML::_( 'select.option',  JText::_("1"), JText::_("Yes")),
                JHTML::_( 'select.option',  JText::_("0"), JText::_("No"))
                ); 			
                echo  JHTML::_('select.radiolist', $putG, 'user_email', array('class'=>'inputbox', 'size'=>'1'),'value','text', isset($this->category_user_param['user_email']) ? $this->category_user_param['user_email'] : "1");			
                ?>
            </td>
        </tr> 
        <tr class="row1">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_('TIP SHOW_USER_PHOTO') ?>"><strong><?php echo JText::_('SHOW_USER_PHOTO') ?></strong></span></td>
            <td>
                <?php
                $putG = array(
                JHTML::_( 'select.option',  JText::_("1"), JText::_("Yes")),
                JHTML::_( 'select.option',  JText::_("0"), JText::_("No"))
                ); 			
                echo  JHTML::_('select.radiolist', $putG, 'user_photo', array('class'=>'inputbox', 'size'=>'1'),'value','text', isset($this->category_user_param['user_photo']) ? $this->category_user_param['user_photo'] : "1");
                ?>
            </td>
        </tr> 
        <tr class="row0">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP USER PHOTO POSITION' ); ?>"><strong><?php echo JText::_( 'USER PHOTO POSITION' ); ?></strong></span></td>
            <td>
                <?php
                $putG = array(
                JHTML::_( 'select.option',  JText::_("1"), JText::_("Left")),
                JHTML::_( 'select.option',  JText::_("0"), JText::_("Top"))
                ); 			
                echo  JHTML::_('select.radiolist', $putG, 'photo_position', array('class'=>'inputbox', 'size'=>'1'),'value','text', isset($this->category_user_param['photo_position']) ? $this->category_user_param['photo_position'] : "0");			
                ?>                
            </td>
        </tr>         
        <tr class="row0">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP RECORDS PER ROWS' ); ?>"><strong><?php echo JText::_( 'RECORDS PER ROWS' ); ?></strong></span></td>
            <td><input type="text" size="15" value="<?php echo isset($this->category_user_param['records_per_rows']) ? $this->category_user_param['records_per_rows'] : "3"; ?>" name="records_per_rows" id="records_per_rows" maxlength="2" /></td>
        </tr>
        <tr class="row1">
            <td style="width:250px;" class="title" nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP ROWS PER PAGE' ); ?>"><strong><?php echo JText::_( 'ROWS PER PAGE' ); ?></strong></span></td>
            <td><input type="text" size="15" value="<?php echo isset($this->category_user_param['rows_per_page']) ? $this->category_user_param['rows_per_page'] : "3"; ?>" name="rows_per_page" id="rows_per_page" maxlength="2" /></td>
        </tr> 
    </table>
    </fieldset>
    <fieldset class="adminform">
    <legend><?php echo isset($this->item->id) ? JText::_( 'EDIT CUSTOM FIELDS' ) : JText::_( 'NEW CUSTOM FIELDS' );  ?></legend>        
    <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
    <tr class="row1">
    	<td>
            <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[0][0]) ? $this->category_param[0][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[0][1]) ? $this->category_param[0][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[0][2]) ? $this->category_param[0][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[1][0]) ? $this->category_param[1][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[1][1]) ? $this->category_param[1][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[1][2]) ? $this->category_param[1][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[2][0]) ? $this->category_param[2][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[2][1]) ? $this->category_param[2][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[2][2]) ? $this->category_param[2][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[3][0]) ? $this->category_param[3][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[3][1]) ? $this->category_param[3][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[3][2]) ? $this->category_param[3][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[4][0]) ? $this->category_param[4][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[4][1]) ? $this->category_param[4][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[4][2]) ? $this->category_param[4][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[5][0]) ? $this->category_param[5][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[5][1]) ? $this->category_param[5][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[5][2]) ? $this->category_param[5][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[6][0]) ? $this->category_param[6][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[6][1]) ? $this->category_param[6][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[6][2]) ? $this->category_param[6][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[7][0]) ? $this->category_param[7][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[7][1]) ? $this->category_param[7][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[7][2]) ? $this->category_param[7][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[8][0]) ? $this->category_param[8][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[8][1]) ? $this->category_param[8][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[8][2]) ? $this->category_param[8][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[9][0]) ? $this->category_param[9][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[9][1]) ? $this->category_param[9][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[9][2]) ? $this->category_param[9][2] : "" );
                    ?>
                </td>
			</tr>                                                                                                            
            </table>
        </td>
    	<td>
            <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[10][0]) ? $this->category_param[10][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[10][1]) ? $this->category_param[10][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[10][2]) ? $this->category_param[10][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[11][0]) ? $this->category_param[11][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[11][1]) ? $this->category_param[11][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[11][2]) ? $this->category_param[11][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[12][0]) ? $this->category_param[12][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[12][1]) ? $this->category_param[12][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[12][2]) ? $this->category_param[12][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[13][0]) ? $this->category_param[13][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[13][1]) ? $this->category_param[13][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[13][2]) ? $this->category_param[13][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[14][0]) ? $this->category_param[14][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[14][1]) ? $this->category_param[14][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[14][2]) ? $this->category_param[14][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[15][0]) ? $this->category_param[15][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[15][1]) ? $this->category_param[15][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[15][2]) ? $this->category_param[15][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[16][0]) ? $this->category_param[16][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[16][1]) ? $this->category_param[16][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[16][2]) ? $this->category_param[16][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[17][0]) ? $this->category_param[17][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[17][1]) ? $this->category_param[17][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[17][2]) ? $this->category_param[17][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[18][0]) ? $this->category_param[18][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[18][1]) ? $this->category_param[18][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[18][2]) ? $this->category_param[18][2] : "" );
                    ?>
                </td>
			</tr>
            <tr class="row1">
                <td nowrap="nowrap"><span class="hasTip" style="cursor: help; display:block;" title="<?php echo JText::_( 'TIP FIELD NAME' ) ?>"><strong><?php echo JText::_( 'FIELD NAME' ) ?></strong></span></td>
                <td>
                    <input type="text" size="50" value="<?php echo isset($this->category_param[19][0]) ? $this->category_param[19][0] : ""; ?>" name="field_name[]" id="field_name" maxlength="500" />
                    <?php
                    $mitems_type 	= array();
                    $mitems_type[] 	= JHTML::_('select.option',  '0', JText::_( 'TEXT' ) );
                    $mitems_type[] 	= JHTML::_('select.option',  '1', JText::_( 'TEXTAREA' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems_type, 'field_type[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[19][1]) ? $this->category_param[19][1] : "" );
                    ?>
                    
                    <?php
                    $mitems 	= array();
                    $mitems[] 	= JHTML::_('select.option',  '0', JText::_( 'DISABLE' ) );
                    $mitems[] 	= JHTML::_('select.option',  '1', JText::_( 'ENABLE' ) );			
            
                    echo $output = JHTML::_('select.genericlist', $mitems, 'field_status[]', 'class="inputbox" size="1"', 'value', 'text', isset($this->category_param[19][2]) ? $this->category_param[19][2] : "" );
                    ?>
                </td>
			</tr>
            </table>        
        </td>        
    </tr>
	</table>    
    </fieldset>    
    <input type="hidden" name="option" value="com_s5clanroster"/>
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="boxchecked" value="0" />
    <input type="hidden" name="controller" value="" />
    <input type="hidden" name="id" value="<?php echo isset($this->item->id) ? $this->item->id : NULL ?>" />  
    <?php echo JHTML::_( 'form.token' ); ?>  
</form>