<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

/**
 * S5ClanRoster Model
 *
 */
class S5ClanRosterModelS5ClanRoster extends JModel 
{

	//generate a list with all s5 categories to display on default layout
	function getcategory_list(){
		global $mainframe;
		$db =& JFactory::getDBO();
		//get all s5clanroster categories
		$sql = "select id,name,description from #__s5clanroster_categories where published ='1' ORDER BY `ordering` ASC ";
		$db->setQuery($sql);
		//generate error msg		 
		if ($db->getErrorNum()) {
			echo $db->stderr();
			exit;
		}		
		//$categories = $db->loadAssocList();
		$categories = $db->loadObjectList();		
		if(count($categories) == 1){
			$mainframe->redirect(JRoute::_('index.php?option=com_s5clanroster&view=s5clanroster&layout=category&task=category&id='.$categories[0]->id, false));
			exit;
		}else{
			return $categories;
		}
	}
	
	//generate a list with all s5 categories to display on default layout
	function getcategory_parent_list(){
		global $mainframe;
		$db =& JFactory::getDBO();
		//get all s5clanroster categories
		$sql = "select id,name,description from #__s5clanroster_categories where published ='1' AND parent='0' ORDER BY `ordering` ASC ";
		$db->setQuery($sql);
		//generate error msg		 
		if ($db->getErrorNum()) {
			echo $db->stderr();
			exit;
		}		
		//$categories = $db->loadAssocList();
		$categories = $db->loadObjectList();		
		if(count($categories) == 1){
			$mainframe->redirect(JRoute::_('index.php?option=com_s5clanroster&view=s5clanroster&layout=category&task=category&id='.$categories[0]->id, false));
			exit;
		}else{
			return $categories;
		}
	}
	
	//generate a list with all s5 categories to display on default layout
	function getcategory_childs(){
		global $mainframe;
		$id	= JRequest::getVar( 'id', '', 'get', 'int' );
		$db =& JFactory::getDBO();
		
		//get all s5clanroster categories
		$sql = "select id,name,description from #__s5clanroster_categories where published ='1' AND parent='".$id."' ORDER BY `ordering` ASC ";
		$db->setQuery($sql);
		//generate error msg		 
		if ($db->getErrorNum()) {
			echo $db->stderr();
			exit;
		}		
		//$categories = $db->loadAssocList();
		$categories = $db->loadObjectList();		
		return $categories;
	}
	
	//generate a list with all s5 categories to display on default layout
	function getpathway(){
		global $mainframe;
		$id				= JRequest::getVar( 'id', '', '', 'int' );
		$cat_id			= JRequest::getVar( 'cat_id', '', '', 'int' );		
		$Itemid			= JRequest::getVar( 'Itemid', '', '', 'int' );		
		$task			= JRequest::getVar( 'task', '', '', 'str' );	
		$me				= & JFactory::getUser();					
		$db 			=& JFactory::getDBO();
		$pathway_cat 	= array();
		$pathway 		=& $mainframe->getPathway();

		$id = $task == "edit" ? $cat_id : $id;
		
		//get all s5clanroster categories
		$sql = "select id,name,parent from #__s5clanroster_categories where published ='1' AND id='".$id."'";
		$db->setQuery($sql);
		//generate error msg		 
		if ($db->getErrorNum()) {
			echo $db->stderr();
			exit;
		}		
		//$categories = $db->loadAssocList();
		$categories = $db->loadObjectList();
		$current_cat = $categories[0];
		
		//get all parent categories
		if($categories[0]->parent != 0){
			while($categories[0]->parent != 0){
				//get all s5clanroster categories
				$sql = "select id,name,parent from #__s5clanroster_categories where published ='1' AND id='".$categories[0]->parent."'";
				$db->setQuery($sql);
				//generate error msg		 
				if ($db->getErrorNum()) {
					echo $db->stderr();
					exit;
				}		
				//$categories = $db->loadAssocList();
				$categories = $db->loadObjectList();
				$pathway_cat[] = $categories[0];
			}
			asort($pathway_cat);
			//add all parent categories to patway
			if(is_array($pathway_cat)){
				foreach($pathway_cat as $pathway_cat_value){
					$pathway->addItem($pathway_cat_value->name,JRoute::_('index.php?option=com_s5clanroster&view=s5clanroster&layout=category&task=category&id='.$pathway_cat_value->id.'&Itemid='.$Itemid));
					//$s5patway->addItem($pathway_cat_value->name,JRoute::_('index.php?option=com_s5clanroster&view=s5clanroster&layout=category&task=category&id='.$pathway_cat_value->id.'&Itemid='.$Itemid));					
				}
			}
		}
		
		$pathway->addItem($current_cat->name,JRoute::_('index.php?option=com_s5clanroster&view=s5clanroster&layout=category&task=category&id='.$current_cat->id.'&Itemid='.$Itemid));
		//$s5patway->addItem($current_cat->name,JRoute::_('index.php?option=com_s5clanroster&view=s5clanroster&layout=category&task=category&id='.$current_cat->id.'&Itemid='.$Itemid));		
		
		$task == "edit" ? $pathway->addItem($me->username,'#') : "";
		//$task == "edit" ? $s5patway->addItem($me->username,'#') : "";		
		
		return true;
	}		
	
	//generate a list with all users that belong to a specific category
	function getcategory_items(){
		global $mainframe, $option;
		$db					=& JFactory::getDBO();
		$category_settings 	= $this->getcategory_user_param();
		$general_settins	= $this->getcategory_settings(); 
		$order_field		= $general_settins[0]->user_order != '' ? $general_settins[0]->user_order : "id";
		$id					= JRequest::getVar( 'id', '0', 'get', 'int' );
		//$limit			= JRequest::getVar('limit', 5, '', 'int');
		$limit				= $category_settings['records_per_rows'] * $category_settings['rows_per_page'];
		$limitstart			= JRequest::getVar('limitstart', 0, '', 'int');
		$return_users 		= array();
		//rasio add sort users by name or email
		$return_users_sort  = array();
		$return_users_sorted=array();
		
		if($id > 0){
			//get all s5clanroster categories
			$sql = 	"select cat.user_id "
					."\n FROM #__s5clanroster_categories as cat "
					."\n WHERE cat.published ='1' "
					."\n AND cat.id = '".$id."'";
			$db->setQuery($sql);
			$user_id = $db->loadObjectList();
			//generate error msg		
			if ($db->getErrorNum()) {
				echo $db->stderr();
				exit;
			}			
			
			if($user_id[0]->user_id != ''){
				//get each user and his details
				$users_array = explode(",",$user_id[0]->user_id);
				if(is_array($users_array)){
					foreach($users_array as $users_row => $users){
						/*//generate pagination links
						$total = count($users_array);
						jimport('joomla.html.pagination');
						$pageNav = new JPagination( $total, $limitstart, $limit );
						// slice out elements based on limits
						$users_array = array_slice( $users_array, $pageNav->limitstart, $pageNav->limit );*/					

						//select default joomla details
						$sql = 	"select id,name,username,email,usertype,gid,block "
								."\n FROM #__users "
								."\n WHERE id = '".$users."' ";
						$db->setQuery($sql);
						//generate error msg		
						if ($db->getErrorNum()) {
							echo $db->stderr();
							exit;
						}						
						$user_joomla = $db->loadObjectList();
						//if user is blocked go to next one
						if($user_joomla[0]->block == 1){
							break;
						}else{
							$return_users[$users_row]['joomla'] = $user_joomla[0];
							//rasio add sort users by name or email
							$return_users_sort[$user_joomla[0]->$order_field] = $users_row;
						}
						//get user photo
						$sql = 	"select user_photo "
								."\n FROM #__s5clanroster_users "
								."\n WHERE user_id = '".$users."' ";
						$db->setQuery($sql);
						//generate error msg		
						if ($db->getErrorNum()) {
							echo $db->stderr();
							exit;
						}						
						$user_photo = $db->loadObjectList();
						$return_users[$users_row]['photo'] = $user_photo[0];
						
						//get user param values
						$sql = 	"select param_id, param_value "
								."\n FROM #__s5clanroster_param_users "
								."\n WHERE user_id = '".$users."' "
								."\n AND cat_id = '".$id."' "
								."\n ORDER BY id ASC ";
						$db->setQuery($sql);
						//generate error msg		
						if ($db->getErrorNum()) {
							echo $db->stderr();
							exit;
						}						
						$user_param = $db->loadObjectList();
						$return_users[$users_row]['param'] = $user_param;
						
						//get user param values
						$sql = 	"select user_param, param "
								."\n FROM #__s5clanroster_categories "
								."\n WHERE id = '".$id."' ";
						$db->setQuery($sql);
						//generate error msg		
						if ($db->getErrorNum()) {
							echo $db->stderr();
							exit;
						}						
						$user_param_cat = $db->loadObjectList();
						//generate each param 
						$user_param_explode = explode("\n",$user_param_cat[0]->user_param);
						$user_param_return = array();
						foreach($user_param_explode as $user_param_explode_value){
							$final_param_explode = explode("=",$user_param_explode_value);
							$user_param_return[$final_param_explode[0]] = $final_param_explode[1];
						}
						$return_users[$users_row]['user_param'] = $user_param_return;
						//generate published extra-fields, to extra check field status: Enabled or Disabled
						$user_fields_explode = explode("\n",$user_param_cat[0]->param);
						$user_fields_return = array();
						foreach($user_fields_explode as $user_fields_explode_value){
							//get field id
							$final_fields_explode = explode("=",$user_fields_explode_value);
							//get field status
							$field_status = explode(",",$final_fields_explode[1]);
							if($field_status[2] == 1){
								$user_fields_id_return[] = $final_fields_explode[0];
								$user_fields_name_return[$final_fields_explode[0]] = $field_status[0];
							}
						}
						$return_users[$users_row]['fields_id'] = $user_fields_id_return;
						$return_users[$users_row]['fields_name'] = $user_fields_name_return;						
					}
					//rasio add sort users by name or email - start
					ksort($return_users_sort);					
					foreach($return_users_sort as $array_sort){
						$return_users_sorted[] = $return_users[$array_sort];
					}
					//generate pagination links
					$total = count($return_users_sorted);
					jimport('joomla.html.pagination');
					$pageNav = new JPagination( $total, $limitstart, $limit );
					// slice out elements based on limits
					$return_users_sorted = array_slice( $return_users_sorted, $pageNav->limitstart, $pageNav->limit );
										
					$return_array = array("return_users" => $return_users_sorted, "pageNav" => $pageNav);
					//rasio add sort users by name or email - end
					
					//$return_array = array("return_users" => $return_users, "pageNav" => $pageNav);
					return $return_array;
				}else{
					return false;
				}
			}else{
				return false;
			}
		}else{
			return false;		
		}
	}
	
	//generate a list with category settings
	function getcategory_settings(){
		$db =& JFactory::getDBO();
		//get all s5clanroster categories
		$sql = "select * from #__s5clanroster_settings";
		$db->setQuery($sql);
		//generate error msg		
		if ($db->getErrorNum()) {
			echo $db->stderr();
			exit;
		}		
		//$categories = $db->loadAssocList();
		$settings = $db->loadObjectList();		
		return $settings;
	}	
	
	/**
	 * Display the param for this category
	 *
	 * @return html list
	 */	
	function getcategory_user_param() {
		global $mainframe, $option;
			
		$db	=& JFactory::getDBO();			
		$cid = JRequest::getVar( 'id', array(), '', 'array' );
		
		// array where[]
		$where = array();
		$where[] = " id  = '".$cid[0]."'";
		
		// build query 's where
		$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );			
		
		// get list of param
		$sql = "SELECT user_param "
		."\n FROM `#__s5clanroster_categories` "
		."\n ".$where;
		$db->setQuery($sql);
		$rows = $db->loadObjectList();
		
		if($rows[0]->user_param != ''){
			$user_param = explode("\n",$rows[0]->user_param);
			$return = array();
			foreach($user_param as $user_param_row => $user_param_value){
				$return_values = explode("=",$user_param_value);
				$return[$return_values[0]] = $return_values[1];
			}
		}else{
			$return = array();
		}
		
		return $return; 	
	}	
	
	/**
	 * Get the category title
	 *
	 * @return html list
	 */	
	function getcategory_title() {
		global $mainframe, $option;
			
		$db	=& JFactory::getDBO();			
		$cid = JRequest::getVar( 'id', array(), '', 'array' );
		
		// array where[]
		$where = array();
		$where[] = " id  = '".$cid[0]."'";
		
		// build query 's where
		$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );			
		
		// get list of param
		$sql = "SELECT name,description "
		."\n FROM `#__s5clanroster_categories` "
		."\n ".$where;
		$db->setQuery($sql);
		$rows = $db->loadObjectList();
		
		return $rows;
	}
	
/******* Edit scripts *********/

	/**
	 * Display the param for this user
	 *
	 * @return html list
	 */	
	function getuser_photo() {
		global $mainframe, $option;
			
		$db	=& JFactory::getDBO();			
		$cid = JRequest::getVar( 'user_id', array(), '', 'array' );
		
		if(!empty($cid[0])){		
			// array where[]
			$where = array();
			$where[] = " user_id  = '".$cid[0]."'";
			
			// build query 's where
			$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );			
			
			// get list of param
			$sql = "SELECT * "
			."\n FROM `#__s5clanroster_users` "
			."\n ".$where;
			$db->setQuery($sql);
			$rows = $db->loadObjectList();

			if(!empty($rows)){
				$return = $rows[0];
			}else{
				$return = '';
			}
		}else{
			$return = '';
		}

		return $return; 	
	}
	
	/**
	 * Display the param for this category
	 *
	 * @return html list
	 */	
	function getcategory_param($id = '') {
		global $mainframe, $option;
			
		$db	=& JFactory::getDBO();
		if($id == ''){			
			$cid = JRequest::getVar( 'cid', array(), '', 'array' );
		}else{
			$cid[0] = $id;
		}

		if(isset($cid[0])){
			// array where[]
			$where = array();
			$where[] = " id  = '".$cid[0]."'";
			
			// build query 's where
			$where 		= ( count( $where ) ? ' WHERE ' . implode( ' AND ', $where ) : '' );			
			
			// get list of param
			$sql = "SELECT param "
			."\n FROM `#__s5clanroster_categories` "
			."\n ".$where;
			$db->setQuery($sql);
			$rows = $db->loadObjectList();
	
			if($rows[0]->param != ''){
				$user_param = explode("\n",$rows[0]->param);
				$return = array();
				foreach($user_param as $user_param_row => $user_param_value){
					$return_values = explode("=",$user_param_value);
					$each_field = explode(",",$return_values[1]);
					$return[$return_values[0]][] = $each_field[0];
					$return[$return_values[0]][] = $each_field[1];
					$return[$return_values[0]][] = $each_field[2];
				}
			}else{
				$return = array();
			}
		}else{
			$return = array();
		}
		return $return; 	
	}	
	
	/**
	 * Display the user extra fields
	 *
	 * @return html list
	 */		
	function getuser_fields(){
		global $mainframe, $option;
			
		$database	=& JFactory::getDBO();			
		$user_id	= JRequest::getVar( 'user_id', '', '', 'int' );
		$cat_id		= JRequest::getVar( 'cat_id', '', '', 'int' );		
			
		//get the user extra fields for this category
		$where = " WHERE id  = '".$cat_id."'";
		$sql = "SELECT name "
		."\n FROM `#__s5clanroster_categories` "
		."\n ".$where;
		$database->setQuery($sql);
		$cat_name = $database->loadObjectList();		
		
		$category_fields = $this->getcategory_param($cat_id);
		if(is_array($category_fields) && !empty($category_fields)){
			foreach($category_fields as $category_fields_row => $category_fields_value){
				//display the row only if is enabled
				if($category_fields_value[2] == 1){
					//get default values
					if($user_id != 0){
						$where = " WHERE user_id  = '".$user_id."' AND cat_id = '".$cat_id."' AND param_id = '".$category_fields_row."'";
						$sql = "SELECT param_value "
						."\n FROM `#__s5clanroster_param_users` "
						."\n ".$where;
						$database->setQuery($sql);
						$default_select = $database->loadObjectList();
						if(isset($default_select[0]) && $default_select[0]!= ''){
							$default_name = $default_select[0]->param_value;
						}else{
							$default_name = '';
						}
					}else{
						$default_name = '';
					}
					//generate textarea or input
					if($category_fields_value[1] == 0){
						$return_fields[] = "<div class=\"s5_clan_roster_row\"><div class=\"s5_clan_roster_label\"><label>".ucfirst($category_fields_value[0]).":</label></div><input type=\"text\" name='".$cat_id."_".$category_fields_row."' class=\"inputbox\" size=\"40\" value=\"".$default_name."\"/></div>";
					}else{
						$return_fields[] = "<div class=\"s5_clan_roster_row\"><div class=\"s5_clan_roster_label\"><label>".ucfirst($category_fields_value[0]).":</label></div><textarea name='".$cat_id."_".$category_fields_row."' class=\"inputbox\" rows=\"6\" cols=\"26\">".$default_name."</textarea></div>";
					}
					$extra_fields[] = $cat_id."_".$category_fields_row;
				}
			}
			if(is_array($return_fields) && !empty($return_fields)){
				$return =  "<fieldset class=\"adminform\"><legend>".$cat_name[0]->name." fields</legend><br />".implode("\n\r",$return_fields)."</fieldset>";
			}else{
				$return = "No extra fields found!";
			}
		}else{
			//echo "<fieldset class=\"adminform\"><legend>".$cat_name[0]->name." fields</legend>No extra fields found!</fieldset>";
			$return = "No extra fields found!";
		}
		
		$return_array = array("return"=>$return,"extra_fields"=>$extra_fields);
		return $return_array;
	}
	
	/**
	 * save/edit new listing
	 *
	 * @return unknown_type
	 */
	function delete_photo() {
		global $mainframe;
		$cid 	= JRequest::getVar( 'cid', '', '', 'int' );
		$db 	=& JFactory::getDBO();
		
		if($cid != ''){
			include_once(JPATH_COMPONENT.DS."tables".DS."edit.php");
			$row =& new TableS5Users($db);		
			$row->load($cid);
		}else{
			return JText::_("DELETE PHOTO EMPTY");
		}

		//delete photo
		 if(file_exists(JPATH_ROOT.DS."images".DS."stories".DS."s5clanroster_photos".DS.$row->user_photo)){
			if(unlink(JPATH_ROOT.DS."images".DS."stories".DS."s5clanroster_photos".DS.$row->user_photo)){
				$row->user_photo = '';
				if (!$row->delete($cid)) {
					$msg = JText::_("DELETE PHOTO ERROR");
				}else{
					$msg = JText::_("SUCC EDITED");
				}
			}else{
				$msg = JText::_("DELETE PHOTO ERROR");
			}
		 }

		return $msg;
	}
	
	/**
	 * Saves the user
	 */
	function store($data){
		global $mainframe;

		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );

		$option = JRequest::getCmd( 'option');

		// Initialize some variables
		$db						= & JFactory::getDBO();
/*		$me						= & JFactory::getUser();
		$acl					=& JFactory::getACL();
		$MailFrom				= $mainframe->getCfg('mailfrom');
		$FromName				= $mainframe->getCfg('fromname');
		$SiteName				= $mainframe->getCfg('sitename');*/
		$user_id 				= JRequest::getVar( 'id', 0, '', 'int');
		$cat_id 				= JRequest::getVar( 'cat_id', 0, '', 'int');
		$extra_fields 			= JRequest::getVar( 'extra_fields', '');
		$categories_selected	= JRequest::getVar( 'categories_selected', '');

		$user		= JFactory::getUser();
		$username	= $user->get('username');

		// Bind the form fields to the user table
		if (!$user->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the web link table to the database
		if (!$user->save()) {
			$this->setError( $user->getError() );
			return false;
		}

		$session =& JFactory::getSession();
		$session->set('user', $user);

		// check if username has been changed
		if ( $username != $user->get('username') )
		{
			$table = $this->getTable('session', 'JTable');
			$table->load($session->getId());
			$table->username = $user->get('username');
			$table->store();

		}


		//end joomla core save user function
		//begin S5ClanRoster code
		//upload photo
		if(isset($_FILES["user_photo"]["name"]) && !empty($_FILES["user_photo"]["name"])){
			//upload new images
			$return_upload_photo = S5ClanRosterHelpers::add_photo($user->username,$user->id);
			if(!empty($return_upload_photo["image"])){
				//add image to db
				//$row_photo 				=& $this->getTable();
				include_once(JPATH_COMPONENT.DS."tables".DS."edit.php");
				$row_photo =& new TableS5Users($db);						
/*				if($user_id > 0){
					$row_photo->SetPrimary($db,'user_id');
				}*/
				$row_photo->user_id 	= $user->id;
				$row_photo->user_photo 	= $return_upload_photo["image"];
				if (!$row_photo->store()) {
					$mainframe->enqueueMessage(JText::_("ERROR ADD PHOTO"), 'error');
					return false;
				}
			}else{
				$mainframe->enqueueMessage(JText::_("ERROR ADD PHOTO"), 'error');
				return false;
			}
		}

		//add user to category	- Only for administrator page, because in frontend user can't assign categories to his profile
/*		include_once(JPATH_COMPONENT.DS."tables".DS."s5clanroster.php");
		$row_cat =& new TableS5ClanRoster($db);					

		if($user_id > 0){
			//update user's categories
			//first delete from all categories this user id
			$query = 'SELECT id'
			. ' FROM #__s5clanroster_categories'
			;
			$db->setQuery( $query );
			$categories_users = $db->loadObjectList();
			foreach($categories_users as $categories_users_row => $categories_users_value){
				$row_cat->load( (int) $categories_users_value->id );
				if($row_cat->user_id != ''){			
					$existing_users = explode(",",$row_cat->user_id);
					//add this new user
					$key = array_search($user_id, $existing_users, true);
					if($key !== false){
						unset($existing_users[$key]);
					}
					$row_cat->user_id = implode(",",$existing_users);
				}
				$row_cat->store();
			}
		}
		
		$category = JRequest::getVar( 'category', array(), '', 'array' );
		foreach($category as $category_row => $category_value){
			//get all users from this category
			$row_cat->load( (int) $category_value );
			if($row_cat->user_id != ''){			
				$existing_users = explode(",",$row_cat->user_id);
				//add this new user
				//array_push($existing_users, $user->id);
				$existing_users[] = $user->id;
				$existing_users = array_unique($existing_users);
				$row_cat->user_id = implode(",",$existing_users);
			}else{
				$row_cat->user_id = $user->id;
			}
			
			if (!$row_cat->store()) {
				$mainframe->enqueueMessage(JText::_("ERROR ADD CATEGORY"), 'error');
				return false;
			}
		}
		
		//save category extra fields
		include_once(JPATH_COMPONENT.DS."tables".DS."s5param_users.php");
		//delete old records for this user
		$query = 'DELETE '
		. ' FROM #__s5clanroster_param_users'
		. ' WHERE `user_id`= "'.$user->id.'"';
		$db->setQuery( $query );
		$db->Query();
		$extra_fields_array = explode(",",$extra_fields);
		foreach($extra_fields_array as $extra_fields_array_row => $extra_fields_array_value){
			if(JRequest::getVar($extra_fields_array_value, '') != ''){
				$row_param =& new TableS5ParamUsers($db);
				$row_param->param_value = JRequest::getVar($extra_fields_array_value, '');
				$row_param->user_id = $user->id;
				//generate cat_id and param_id
				$cat_param_id = explode("_",$extra_fields_array_value);
				$row_param->cat_id = $cat_param_id[0];
				$row_param->param_id = $cat_param_id[1];
				$row_param->store();
			}
		}*/
		
		//Silviu - bug fix start
		//save category extra fields
		$extra_fields_array = explode(",",$extra_fields);
		foreach($extra_fields_array as $extra_fields_array_row => $extra_fields_array_value){
			//if(JRequest::getVar($extra_fields_array_value, '') != ''){
				$param_value = JRequest::getVar($extra_fields_array_value, '');
				//generate cat_id and param_id
				$cat_param_id = explode("_",$extra_fields_array_value);
				if(is_array($cat_param_id)){
					$cat_id = $cat_param_id[0];
					$param_id = $cat_param_id[1];
				}else{
					$cat_id = "";
					$param_id = "";
				}

				$query = 'SELECT id '
				. ' FROM #__s5clanroster_param_users '
				. ' WHERE `user_id`= "'.$user->id.'"'
				. ' AND `cat_id`= "'.$cat_id.'"'
				. ' AND `param_id`= "'.$param_id.'"';
				$db->setQuery($query);
				$insert_update = $db->loadResult();

				if($insert_update > 0){
					$query = ' UPDATE #__s5clanroster_param_users '
					. ' SET `param_value` = "'.$param_value.'" '
					. ' WHERE `user_id`= "'.$user->id.'"'
					. ' AND `cat_id`= "'.$cat_id.'"'
					. ' AND `param_id`= "'.$param_id.'"';
					$db->setQuery( $query );
					$db->Query();
				}else{
					$query = ' INSERT INTO #__s5clanroster_param_users (`id`, `user_id`, `cat_id`, `param_id`, `param_value`) '
					. ' VALUES ("", '.$user->id.', '.$cat_id.', "'.$param_id.'", "'.$param_value.'" ) ';
					$db->setQuery( $query );
					$db->Query();				
				}
								
				unset($param_value);
				unset($cat_id);
				unset($param_id);
			//}
		}
		//Silviu - bug fix end
		
		return true;
	}
	
/********************** Pathway scripts **************/

	function getS5List()
	{
		global $mainframe;

		// Get the PathWay object from the application
		$pathway =& $mainframe->getPathway();
		$items   = $pathway->getPathWay();

		$count = count($items);
		for ($i = 0; $i < $count; $i ++)
		{
			$items[$i]->name = stripslashes(htmlspecialchars($items[$i]->name));
			$items[$i]->link = JRoute::_($items[$i]->link);
		}

		return $items;
	}

	/**
 	 * Set the breadcrumbs separator for the breadcrumbs display.
 	 *
 	 * @param	string	$custom	Custom xhtml complient string to separate the
 	 * items of the breadcrumbs
 	 * @return	string	Separator string
 	 * @since	1.5
 	 */
	function getS5Separator($custom = null)
	{
		global $mainframe;

		$lang =& JFactory::getLanguage();

		/**
	 	* If a custom separator has not been provided we try to load a template
	 	* specific one first, and if that is not present we load the default separator
	 	*/
		if ($custom == null) {
			if($lang->isRTL()){
				$_separator = JHTML::_('image.site', 'arrow_rtl.png');
			}
			else{
				$_separator = JHTML::_('image.site', 'arrow.png');
			}
		} else {
			$_separator = $custom;
		}
		return $_separator;
	}	
				
}