<?php
/**
* @license GNU/GPL, see LICENSE.php
* Site: www.shape5.com
* Email: contact@shape5.com
* @copyright (C) 2009 Shape 5
*
*/

function s5clanrosterBuildRoute(&$query){
	$segments = array();

	if(isset($query['view'])){
		if(empty($query['Itemid'])) {
			$segments[] = $query['view'];
		} else {
			$menu = &JSite::getMenu();
			$menuItem = &$menu->getItem( $query['Itemid'] );
			if(!isset($menuItem->query['view']) || $menuItem->query['view'] != $query['view']) {
				$segments[] = $query['view'];
			}
		}
		unset($query['view']);
	}
	
	if(isset($query['task'])){
		$segments[] = $query['task'];
		unset($query['task']);
		unset($query['layout']);		
	}
	
	if(isset($query['id']) || $query['cat_id']){
		$db =& JFactory::getDBO();
		$catid = isset($query['id']) ? $query['id'] : $query['cat_id'];
		//get all s5clanroster categories
		$sql = "select name from #__s5clanroster_categories where id ='".$catid."'";
		$db->setQuery($sql);
		//generate error msg		 
		if ($db->getErrorNum()) {
			$segments[] = $query['id'];
		}else{
			$segments[] = urlencode($db->loadResult());
		}
		unset($query['id']);
		unset($query['cat_id']);		
	}
	
	if(isset($query['user_id'])){
		$db =& JFactory::getDBO();
		$userid = $query['user_id'];
		//get all s5clanroster categories
		$sql = "select username from #__users where id ='".$userid."'";
		$db->setQuery($sql);
		//generate error msg		 
		if ($db->getErrorNum()) {
			$segments[] = $query['id'];
		}else{
			$segments[] = urlencode($db->loadResult());
		}
		unset($query['user_id']);		
	}
	
	if(isset($query['start'])){
		$segments[] = $query['start'];
		unset($query['start']);
	}	
	
	return $segments;
}

function s5clanrosterParseRoute($segments){
//print_r($segments); exit;
	$vars = array();

	$count = count($segments);
	if($count == 2) {
		//generate cat id	
		$db =& JFactory::getDBO();
		//get all s5clanroster categories
		$sql = "select id from #__s5clanroster_categories where name ='".urldecode($segments[$count - 1])."'";
		$db->setQuery($sql);
		//generate error msg		 
		if ($db->getErrorNum()) {
			$vars['id'] = 1;
		}else{
			$vars['id'] = $db->loadResult();
		}
		$vars['task']    = $segments[0];
		$vars['layout']  = $segments[0];				
	}elseif($count == 3){
		

		if(is_numeric($segments[2])){
			$vars['task'] 	= $segments[0];
			$vars['layout'] = $segments[0];		
			
			//generate cat id
			$db =& JFactory::getDBO();
			//get all s5clanroster categories
			$sql = "select id from #__s5clanroster_categories where name ='".urldecode($segments[1])."'";
			$db->setQuery($sql);
			//generate error msg		 
			if ($db->getErrorNum()) {
				$vars['id'] = 1;
			}else{
				$vars['id'] = $db->loadResult();
			}
			$vars['limitstart'] 	= $segments[2];			
		}else{
			$vars['task']	= $segments[0];
			
			//generate cat id
			$db =& JFactory::getDBO();
			//get all s5clanroster categories
			$sql = "select id from #__s5clanroster_categories where name ='".urldecode($segments[1])."'";
			$db->setQuery($sql);
			//generate error msg		 
			if ($db->getErrorNum()) {
				$vars['cat_id'] = 1;
			}else{
				$vars['cat_id'] = $db->loadResult();
			}			
			
			//generate user id
			$db =& JFactory::getDBO();
			//get all s5clanroster categories
			$sql = "select id from #__users where username ='".urldecode($segments[2])."'";
			$db->setQuery($sql);
			//generate error msg		 
			if ($db->getErrorNum()) {
				$vars['user_id'] = 1;
			}else{
				$vars['user_id'] = $db->loadResult();
			}
		}		
	}

	return $vars;
}
?>