<?php
/**
 * Settings model for S5ClanRoster Component
 * 
 * @package     
 * @subpackage Components
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

/**
 * Settings Model
 *
 * @package   
 * @subpackage Components
 */
class S5ClanRosterModelS5Settings extends JModel
{
	/**
	 * Retrieves the settings data
	 * @return array Array of objects containing the data from the database
	 */
	function getsettings(){ 
	
		global $mainframe, $option;
		$db =& JFactory::getDBO();
		
		$row =& $this->getTable(); 
		$row->load(1);

		if($row){
			return $row;
			
		}else{
			return array();
		}
	}
		
	/**
	 * save new settings
	 *
	 * @return unknown_type
	 */
	function save() {
		global $mainframe;

		$row =& $this->getTable();
		$cid = JRequest::getVar( 'id', array(), '', 'array' );

		if (!$row->bind( $_POST )) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			return false;
		}

		if (!$row->check()) {
			echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
			return false;
		}
		
		$row->id = $cid[0];
		if (!$row->store()) {
			$msg = "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		}else{
			$msg = JText::_("SUCC SAVE SETTINGS");
		}

		return $msg;
	}	
}
?>