<?php 
/**
 * Category tmpl for S5ClanRoster Component
 * 
 * @package    
 * @subpackage Components
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die(); 

JHTML::_('behavior.tooltip'); 
//Ordering allowed ?
$ordering = ($this->lists['order'] == 'ordering');
?>
<form name="adminForm" method="post" action="index.php">
<table class="adminlist" width="100%">
	<thead>
		<tr>
			<th width="25">
				<?php echo JText::_( 'NUM' ); ?>
			</th>
			<th width="25">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->rows );?>);"/>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort', JText::_('NAME'), 'name', @$this->lists['order_Dir'], @$this->lists['order']); ?>
			</th>
			<th>
				<?php echo JText::_('DESCRIPTION'); ?>
			</th>
			<th width="70">
				<?php echo JHTML::_('grid.sort', JText::_('PUBLISHED'), 'published', @$this->lists['order_Dir'], @$this->lists['order']); ?>
			</th>
			<th width="120" class="no-border-left" colspan="2">
				<?php echo JHTML::_('grid.sort', JText::_('ORDER'), 'ordering', @$this->lists['order_Dir'], @$this->lists['order'])."&nbsp;&nbsp;".JHTML::_('grid.order', $this->rows); ?>
			</th>
		</tr>
	</thead>
	<tbody>
	<?php
		$k = 0;
		$i = 0;
		$n = count( $this->rows );
		$rows = &$this->rows;
		if($n > 0) {		
			foreach ($rows as $row){
				$checked 	= JHTML::_('grid.checkedout',   $row, $i);
				$published 	= JHTML::_('grid.published', $row, $i);
				$link 		= JRoute::_('index.php?option=com_s5clanroster&view=s5clanroster&task=edit&cid[]='. $row->id);
		?>
			<tr class="<?php echo "row$k"; ?>">
				<td style="text-align:center;">
					<?php echo $this->pageNav->getRowOffset( $i ) ?>
				</td>
				<td style="text-align:center;">
					<?php echo $checked; ?>
				</td>
				<td style="text-align:left;">
					<span class="editlinktip hasTip" title="<?php echo JText::_('TIP CATEGORY NAME') ?>" >
					<a title="" href="<?php echo $link ?>">
						<?php echo strip_tags($row->treename); ?>
					</a>
					</span>
				</td>
				<td style="text-align:left;">
					<span class="editlinktip hasTip" title="<?php echo JText::_('TIP CATEGORY DESCRIPTION') ?>" >
						<?php echo substr(strip_tags($row->description), 0, 100);?>
					</span>                    
				</td>
				<td style="text-align:center;">
					<?php echo $published?>
				</td>            
				<td style="text-align:left; width:30px;">
					<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>            
					<span><?php echo $this->pageNav->orderUpIcon( $i, $row->parent == 0 || $row->parent == @$rows[$i-1]->parent, 'orderup', 'Move Up', $ordering); ?></span>
					<span><?php echo $this->pageNav->orderDownIcon( $i, $n, $row->parent == 0 || $row->parent == @$rows[$i+1]->parent, 'orderdown', 'Move Down', $ordering ); ?></span>&nbsp;&nbsp;
				</td>
				<td style="text-align:left; width:50px;">
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?>  class="text_area" style="text-align: center" />
				</td>             
			</tr>
		<?php 
				$k = 1 - $k;
				$i++;
			} 
		} else{
		?>
			<tr class="<?php echo "row$k"; ?>">
				<td colspan="8" style="text-align:center;">
					<?php echo JText::_('NO CATEGORY FOUND'); ?>
				</td>
        	</tr>
        <?php
		}			
		?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="13">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
</table>
	<input type="hidden" name="option" value="com_s5clanroster"/>
	<input type="hidden" name="task" value=""/>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="controller" value="" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />    
	<input type="hidden" name="filter_order_Dir" value="" />        
</form>