<?php 
/**
 * Users tmpl for S5ClanRoster Component
 * 
 * @package    
 * @subpackage Components
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die(); 

JHTML::_('behavior.tooltip'); 
?>
<form name="adminForm" method="post" action="index.php">
<table>
    <tr>
        <td width="100%">
            <?php echo JText::_( 'Filter' ); ?>:
            <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
            <button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
            <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_type').value='0';this.form.getElementById('filter_logged').value='0';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
        </td>
        <td nowrap="nowrap">
            <?php echo $this->lists['type'];?>
        </td>
    </tr>
</table>

<table class="adminlist" width="100%">
	<thead>
		<tr>
			<th width="25">
				<?php echo JText::_( 'NUM' ); ?>
			</th>
			<th width="25">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->rows );?>);"/>
			</th>
            <th class="title">
                <?php echo JHTML::_('grid.sort',   'Name', 'a.name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
            <th width="15%" class="title" >
                <?php echo JHTML::_('grid.sort',   'Username', 'a.username', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
            <th width="5%" class="title" nowrap="nowrap">
                <?php echo JHTML::_('grid.sort',   'Enabled', 'a.block', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
            <th width="15%" class="title">
                <?php echo JHTML::_('grid.sort',   'Group', 'groupname', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
            <th width="15%" class="title">
                <?php echo JHTML::_('grid.sort',   'E-Mail', 'a.email', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
            <th width="1%" class="title" nowrap="nowrap">
                <?php echo JHTML::_('grid.sort',   'ID', 'a.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
            </th>
		</tr>
	</thead>
	<tbody>
	<?php
		$k = 0;
		$i = 0;
		$n = count( $this->rows );
		$rows = &$this->rows;
		if($n > 0) {		
			foreach ($rows as $row){
				$img 	= $row->block ? 'publish_x.png' : 'tick.png';
				$task 	= $row->block ? 'unblock' : 'block';
				$alt 	= $row->block ? JText::_( 'Enabled' ) : JText::_( 'Blocked' );								
				$link 	= JRoute::_('index.php?option=com_s5clanroster&view=s5users&controller=s5users&task=edit&cid[]='. $row->id);
		?>
			<tr class="<?php echo "row$k"; ?>">
				<td style="text-align:center;">
					<?php echo $this->pageNav->getRowOffset( $i ) ?>
				</td>
				<td style="text-align:center;">
					<?php echo JHTML::_('grid.id', $i, $row->id ); ?>
				</td>
				<td style="text-align:left;">
					<a title="" href="<?php echo $link ?>">
						<?php echo strip_tags($row->name); ?>
					</a>
				</td>
				<td style="text-align:left;">
					<?php echo strip_tags($row->username); ?>
				</td>
				<td align="center">
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
						<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" /></a>
				</td>                
				<td style="text-align:left;">
					<?php echo strip_tags($row->groupname); ?>
				</td>            
				<td>
					<a href="mailto:<?php echo $row->email; ?>">
						<?php echo $row->email; ?></a>
				</td>
				<td>
					<?php echo $row->id; ?>
				</td>                            
			</tr>
		<?php 
				$k = 1 - $k;
				$i++;
			} 
		} else{
		?>
			<tr class="<?php echo "row$k"; ?>">
				<td colspan="8" style="text-align:center;">
					<?php echo JText::_('NO USERS FOUND'); ?>
				</td>
        	</tr>
        <?php
		}			
		?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="13">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
</table>
	<input type="hidden" name="option" value="com_s5clanroster"/>
	<input type="hidden" name="task" value=""/>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="controller" value="s5users" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />    
	<input type="hidden" name="filter_order_Dir" value="" />
    <?php echo JHTML::_( 'form.token' ); ?>     
</form>